Travel Regions
GET
/users/{user_id}/travel/regions
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/travel/regions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/travel/regionsTime-in-region + been-there. states = every state/province you’ve dwelled in (most time
first); countries = the same rolled up by country. Dwell time only (v1).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
TravelRegions
object
countries
required
Countries
Array<object>
RegionStatcountry_count
required
Country Count
integer
state_count
required
State Count
integer
states
required
Examplegenerated
{ "countries": [ { "country_code": "example", "first_at": "2026-04-15T12:00:00Z", "last_at": "2026-04-15T12:00:00Z", "minutes": 1, "region": "example", "visits": 1 } ], "country_count": 1, "state_count": 1, "states": [ { "country_code": "example", "first_at": "2026-04-15T12:00:00Z", "last_at": "2026-04-15T12:00:00Z", "minutes": 1, "region": "example", "visits": 1 } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}